Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::MostNetState Struct Referencefinal

MOST_NETSTATE. More...

`#include <MostNetState.h>`

Inheritance diagram for Vector::BLF::MostNetState:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
| ObjectHeader2 (const ObjectType objectType)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | stateNew {}
| MOST NetState.
uint16_t | stateOld {}
uint16_t | reservedMostNetState {}
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint8_t | timeStampStatus {}
| time stamp status
uint8_t | reservedObjectHeader {0}
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {0}
| object timestamp
uint64_t | originalTimeStamp {0}
| original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }
enum | TimeStampStatus : uint8_t { Orig = 0x01 , SwHw = 0x02 , User = 0x10 }

## Detailed Description

MOST_NETSTATE.

Network state derived by MOST Supervisor Layer I+II

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::MostNetState::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::MostNetState::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::MostNetState::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::MostNetState::channel {}

application channel

Application channel

## ◆ reservedMostNetState

uint16_t Vector::BLF::MostNetState::reservedMostNetState {}

reserved

## ◆ stateNew

uint16_t Vector::BLF::MostNetState::stateNew {}

MOST NetState.

Current network state

- 0 (undefined): Before the first event (shortly after measurement start) the network status is unknown.
- 1 (reserved for Ring Break Diagnostics mode)
- 2 (PowerOff): The network interface to the MOST ring is deactivated. The Tx FOT is not emitting any light.
- 3 (NetInterfaceInit): The network interface is ready to communicate in the MOST ring.
- 4 (ConfigNotOk): The network interface is in normal operating mode (stable lock).
- 5 (ConfigOk): From the perspective of the Network Master the system configuration is valid.
- 6 (NetOn/InitReady): NetOn/InitReady reported to application

## ◆ stateOld

uint16_t Vector::BLF::MostNetState::stateOld {}

Previous network state

The documentation for this struct was generated from the following files:

- MostNetState.h
- MostNetState.cpp